# This file is the input for generating the list of preferences
# for pc_webserver.cpp and pc_webserver.h.
#
# For information on how to add or modify a preference, please
# refer to the module documentation.
#
# Preferences cannot depend directly on FEATUREs, they must depend
# on the macro they define.
#
Collection:  PrefsCollectionWebserver
Macro name:  PCWEBSERVER
Description: Web server
Type:        normal

Preference:  WebserverProxyHost
Depends on:  WEBSERVER_RENDEZVOUS_SUPPORT
Section:     Web Server
Key:         Proxy Host
Type:        string
Description: Host running the Alien proxy
Default:     WEB_RDV_PROXY_HOST

Preference:  WebserverDevice
Depends on:  WEBSERVER_RENDEZVOUS_SUPPORT
Section:     Web Server
Key:         Device
Type:        string
Description: Device name identifying the device where the embedded webserver is running
Default:     ""

Preference:  WebserverUser
Depends on:  WEBSERVER_RENDEZVOUS_SUPPORT
Section:     Web Server
Key:         User
Type:        string
Description: User name identifying the user for the embedded webserver
Default:     ""

Preference:  WebserverHashedPassword
Depends on:  WEBSERVER_RENDEZVOUS_SUPPORT
Section:     Web Server
Key:         Shared Secret
Type:        string
Description: Hashed password for authenticating the embedded webserver
Default:     ""

Preference:  WebserverEnable
Depends on:  WEBSERVER_SUPPORT
Section:     Web Server
Key:         Enable
Type:        boolean
Description: If false, the web server is completely disabled
Default:     DEFAULT_ENABLE_WEBSERVER

Preference:  WebserverListenToAllNetworks
Depends on:  WEBSERVER_SUPPORT
Section:     Web Server
Key:         Listen To All Networks
Type:        boolean
Description: If false only requests originating from localhost are accepted
Default:     DEFAULT_WEBSERVER_BIND_ALL

Preference:  WebserverProxyPort
Depends on:  WEBSERVER_RENDEZVOUS_SUPPORT
Section:     Web Server
Key:         Proxy Port
Type:        integer
Description: Port on which the Alien proxy listens
Default:     16680

Preference:  WebserverPort
Depends on:  WEBSERVER_SUPPORT
Section:     Web Server
Key:         Port
Type:        integer
Description: Port on which to serve HTTP requests
Default:     WEB_PARM_DEFAULT_PORT

Preference:  WebserverBacklog
Depends on:  WEBSERVER_SUPPORT
Section:     Web Server
Key:         Backlog
Type:        integer
Description: See "backlog" in the listen(2) manpage
Default:     WEB_RDV_BACKLOG

Preference:  WebserverUploadRate
Depends on:  WEBSERVER_SUPPORT
Section:     Web Server
Key:         Max Upload Rate (kBps)
Type:        integer
Description: Max upload rate in kBps
Default:     0

Preference:  WebserverUsed
Depends on:  WEBSERVER_SUPPORT
Section:     Web Server
Key:         Webserver Used
Type:        boolean
Description: If set, user has used Webserver
Default:     FALSE

Preference:  WebserverAlwaysOn
Depends on:  WEBSERVER_SUPPORT
Section:     Web Server
Key:         Webserver Always On
Type:        boolean
Description: Force webserver to start automatically when Opera is launched
Default:     TRUE

Preference:  ServiceDiscoveryServer
Depends on:  WEB_UPLOAD_SERVICE_LIST
Section:     Web Server
Key:         Service Discovery Server
Type:        string
Description: Host running the service discovery
Default:     UNI_L("https://asd.opera.com/1.0/register")

Preference:  UseOperaAccount
Depends on:  WEBSERVER_SUPPORT
Section:     Web Server
Key:         Use Opera Account
Type:        boolean
Description: Setting this to FALSE allow the webserver to start without logging onto an Opera Account, and access will be set to Local only
Default:     DEFAULT_USE_OPERA_ACCOUNT

Preference:  UPnPEnabled
Depends on:  UPNP_SUPPORT
Section:     Web Server
Key:         UPnP Enabled
Type:        boolean
Description: Setting this to TRUE allows the webserver to start using UPnP port forwarding
Default:     TRUE

Preference:  UPnPServiceDiscoveryEnabled
Depends on:  UPNP_SUPPORT
Section:     Web Server
Key:         UPnP Service Discovery Enabled
Type:        boolean
Description: Setting this to TRUE allows the webserver to start using UPnP service discovery
Default:     TRUE

Preference:  RobotsTxtEnabled
Depends on:  WEBSERVER_SUPPORT
Section:     Web Server
Key:         robots.txt Enabled
Type:        boolean
Description: Setting this to TRUE will add a robots.txt file to your Unite website
Default:     TRUE

Preference:  ServiceDiscoveryEnabled
Depends on:  WEBSERVER_SUPPORT
Section:     Web Server
Key:         Service Discovery Enabled
Type:        boolean
Description: Setting this to TRUE allows the webserver to start using service discovery
Default:     TRUE

.eof
